Skip to content

document-contract-notes​

Manage contract notes

Operations​

GET/accounts/{accountUuid}/documents/v2/contract-notesPOST/accounts/{accountUuid}/documents/v2/contract-notesGET/accounts/{accountUuid}/documents/v2/contract-notes/{contractNoteUuid}PATCH/accounts/{accountUuid}/documents/v2/contract-notes/{contractNoteUuid}GET/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actionsPOST/accounts/{accountUuid}/documents/v2/contract-notes/calculateGET/accounts/{accountUuid}/documents/v2/contract-notes/{contractNoteUuid}/actionsPOST/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/calculatePATCH/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/archivePATCH/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/collectInvoicePATCH/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/markSentPATCH/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/massDownloadZipPATCH/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/massPrintPATCH/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/massSentPATCH/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/plannedMailPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/archivePATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/cancelPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/cancelPermanentlyPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/clonePATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/convertCNDNPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/convertCNIPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/convertTemplateToContractNotePATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/convertToTemplatePATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/createFinalPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/createPartialPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/deletePATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/downloadPdfPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/emailPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/markSentPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/plannedMailPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/printPATCH/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/restore

Get contract notes​

GET
/accounts/{accountUuid}/documents/v2/contract-notes

Get contract notes

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

is_template

get templates

Type
boolean
Default
false
updatedSince

filter for updated items

limit

pagination limit

Type
[ "number", "null" ]
Maximum
400
Minimum
1
page

pagination page

Type
[ "number", "null" ]
Default
1
Minimum
1

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"id": 0,
  
  
"currencyCode": "string",
  
  
"currencyCodeRecognized": "string",
  
  
"title": "string",
  
  
"reference": "string",
  
  
"status": "string",
  
  
"sentStatus": "string",
  
  
"customField1": "string",
  
  
"customField2": "string",
  
  
"customField3": "string",
  
  
"customField4": "string",
  
  
"contractNoteDate": "string",
  
  
"dueDate": "string",
  
  
"receiver": {
  
  
  
"addressUuid": "string",
  
  
  
"companyUuid": "string",
  
  
  
"customerNumber": "string",
  
  
  
"name": "string",
  
  
  
"email": "string",
  
  
  
"personUuid": "string"
  
  
},
  
  
"documentTotal": 0,
  
  
"contractNoteNumber": "string",
  
  
"isArchived": true,
  
  
"isCancelled": true,
  
  
"updatedAt": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Create contract note​

POST
/accounts/{accountUuid}/documents/v2/contract-notes

Create contract note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"contractNoteDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": {
  
  
  
  
"iban": "string",
  
  
  
  
"bic": "string",
  
  
  
  
"qrIban": "string",
  
  
  
  
"bankAccountUuid": "string"
  
  
  
},
  
  
  
"pricesIncludeVat": true,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "page_break",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
"kind": "product",
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
"productDescription": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Contract note created

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"status": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"personUuid": "string"
  
  
  
  
},
  
  
  
  
"contractNoteDate": "string",
  
  
  
  
"dueDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"paymentInstructions": {
  
  
  
  
  
"bankAccountUuid": "string",
  
  
  
  
  
"iban": "string",
  
  
  
  
  
"bic": "string",
  
  
  
  
  
"qrIban": "string"
  
  
  
  
},
  
  
  
  
"pricesIncludeVat": true,
  
  
  
  
"documentTotal": 0,
  
  
  
  
"positions": [
  
  
  
  
  
{
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"title": "string",
  
  
  
  
  
  
"showCollapsed": true,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"unitCode": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"unitCode": "string",
  
  
  
  
  
  
"text": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"isTemplate": true,
  
  
  
  
"contractNoteNumber": "string",
  
  
  
  
"type": "string",
  
  
  
  
"documentDiscount": {
  
  
  
  
  
"amount": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get contract note​

GET
/accounts/{accountUuid}/documents/v2/contract-notes/{contractNoteUuid}

Get a single contract note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
contractNoteUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"status": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"personUuid": "string"
  
  
  
  
},
  
  
  
  
"contractNoteDate": "string",
  
  
  
  
"dueDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"paymentInstructions": {
  
  
  
  
  
"bankAccountUuid": "string",
  
  
  
  
  
"iban": "string",
  
  
  
  
  
"bic": "string",
  
  
  
  
  
"qrIban": "string"
  
  
  
  
},
  
  
  
  
"pricesIncludeVat": true,
  
  
  
  
"documentTotal": 0,
  
  
  
  
"positions": [
  
  
  
  
  
{
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"title": "string",
  
  
  
  
  
  
"showCollapsed": true,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"unitCode": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"unitCode": "string",
  
  
  
  
  
  
"text": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"isTemplate": true,
  
  
  
  
"contractNoteNumber": "string",
  
  
  
  
"type": "string",
  
  
  
  
"documentDiscount": {
  
  
  
  
  
"amount": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Update contract note​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{contractNoteUuid}

Update contract note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
contractNoteUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"contractNoteDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"paymentInstructions": {
  
  
  
  
"iban": "string",
  
  
  
  
"bic": "string",
  
  
  
  
"qrIban": "string",
  
  
  
  
"bankAccountUuid": "string"
  
  
  
},
  
  
  
"pricesIncludeVat": true,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "page_break",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
"kind": "product",
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
"productDescription": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Contract note updated

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"status": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"personUuid": "string"
  
  
  
  
},
  
  
  
  
"contractNoteDate": "string",
  
  
  
  
"dueDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"paymentInstructions": {
  
  
  
  
  
"bankAccountUuid": "string",
  
  
  
  
  
"iban": "string",
  
  
  
  
  
"bic": "string",
  
  
  
  
  
"qrIban": "string"
  
  
  
  
},
  
  
  
  
"pricesIncludeVat": true,
  
  
  
  
"documentTotal": 0,
  
  
  
  
"positions": [
  
  
  
  
  
{
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"title": "string",
  
  
  
  
  
  
"showCollapsed": true,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"unitCode": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"unitCode": "string",
  
  
  
  
  
  
"text": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"isTemplate": true,
  
  
  
  
"contractNoteNumber": "string",
  
  
  
  
"type": "string",
  
  
  
  
"documentDiscount": {
  
  
  
  
  
"amount": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get bulk actions​

GET
/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions

Get contract note bulk actions

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

forList

filter list actions

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Calculate amounts of new document​

POST
/accounts/{accountUuid}/documents/v2/contract-notes/calculate

Calculates the amounts of a document for previewing without manipulating any resources

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"currencyCode": "string",
  
"positions": [
  
  
{
  
  
  
"positionNumber": 0,
  
  
  
"uuid": "string",
  
  
  
"kind": "page_break",
  
  
  
"unitUuid": "string",
  
  
  
"unitCode": "C62",
  
  
  
"quantity": 1,
  
  
  
"singlePrice": 0,
  
  
  
"discount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"vatUuid": "string",
  
  
  
"vat": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"productUuid": null,
  
  
  
"productNumber": "string",
  
  
  
"productDescription": "string",
  
  
  
"title": "string",
  
  
  
"text": "string",
  
  
  
"items": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"showCollapsed": true
  
  
}
  
],
  
"documentDiscount": {
  
  
"percentage": 0,
  
  
"amount": 0
  
},
  
"invoiceDate": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"total": 0,
  
  
"positionTotal": 0,
  
  
"discount": 0,
  
  
"roundingDifference": 0,
  
  
"taxes": [
  
  
  
{
  
  
  
  
"rate": 0,
  
  
  
  
"value": 0,
  
  
  
  
"name": "string",
  
  
  
  
"baseSum": 0
  
  
  
}
  
  
],
  
  
"totalInvoicedAmount": 0
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get actions​

GET
/accounts/{accountUuid}/documents/v2/contract-notes/{contractNoteUuid}/actions

Get contract note actions

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
contractNoteUuid*
Type
string
Required
Format
"uuid"

Query Parameters

forList

filter list actions

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Calculate amounts of an existing document​

POST
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/calculate

Calculates the amounts of an existing document for previewing without manipulating any resources

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"currencyCode": "string",
  
"positions": [
  
  
{
  
  
  
"positionNumber": 0,
  
  
  
"uuid": "string",
  
  
  
"kind": "page_break",
  
  
  
"unitUuid": "string",
  
  
  
"unitCode": "C62",
  
  
  
"quantity": 1,
  
  
  
"singlePrice": 0,
  
  
  
"discount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"vatUuid": "string",
  
  
  
"vat": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"productUuid": null,
  
  
  
"productNumber": "string",
  
  
  
"productDescription": "string",
  
  
  
"title": "string",
  
  
  
"text": "string",
  
  
  
"items": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"showCollapsed": true
  
  
}
  
],
  
"documentDiscount": {
  
  
"percentage": 0,
  
  
"amount": 0
  
},
  
"invoiceDate": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"total": 0,
  
  
"positionTotal": 0,
  
  
"discount": 0,
  
  
"roundingDifference": 0,
  
  
"taxes": [
  
  
  
{
  
  
  
  
"rate": 0,
  
  
  
  
"value": 0,
  
  
  
  
"name": "string",
  
  
  
  
"baseSum": 0
  
  
  
}
  
  
],
  
  
"totalInvoicedAmount": 0
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute archive bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/archive

Marks the document as archived

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute collectInvoice bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/collectInvoice

Creates a collective invoice out of the selected items

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute markSent bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/markSent

Triggers the mark sent action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massDownloadZip bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/massDownloadZip

Zips and downloads each document. The result is sent to the inbox

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massPrint bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/massPrint

Triggers the print action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": {
  
  
  
"type": "string",
  
  
  
"id": 0,
  
  
  
"uuid": "string",
  
  
  
"printUrl": "string",
  
  
  
"document": {
  
  
  
  
"url": "string",
  
  
  
  
"preview_url": "string"
  
  
  
}
  
  
}
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massSent bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/massSent

Triggers the send action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute plannedMail bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/plannedMail

Triggers the plan mail action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute archive action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/archive

Archives the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute cancel action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/cancel

Cancels and moves the document back to draft

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute cancelPermanently action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/cancelPermanently

Cancels the document permanently. It cannot be edited afterwards

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute clone action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/clone

Creates a copy of the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertCNDN action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/convertCNDN

Creates a delivery note out of a contract note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertCNI action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/convertCNI

Creates an invoice out of a contract note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertTemplateToContractNote action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/convertTemplateToContractNote

Creates a contract note out of a template

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertToTemplate action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/convertToTemplate

Creates a template out of a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute createFinal action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/createFinal

Creates a final invoice for a contract note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"relatedInvoiceDate": "string",
  
"relatedDueDate": "string"
}

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"printUrl": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute createPartial action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/createPartial

Create a partial invoice for a contract note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"invoiceItemUuids": [
  
  
"string"
  
],
  
"relatedInvoiceDate": "string",
  
"relatedDueDate": "string"
}

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"printUrl": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute delete action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/delete

Deletes a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute downloadPdf action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/downloadPdf

Gets the download uri for the document's pdf

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"downloadUrl": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute email action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/email

Sends the document via email

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute markSent action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/markSent

Marks the invoice as sent

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute plannedMail action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/plannedMail

Schedules the email for sending the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute print action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/print

Creates the PDF for printing

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"printUrl": "string",
  
  
"document": {
  
  
  
"url": "string",
  
  
  
"preview_url": "string"
  
  
}
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute restore action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/actions/restore

Restores an archived document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​